#!/usr/bin/perl

###########################



###########################
# Code
$dir_name = $ARGV[0];

use File::Find;
use Cwd;
# use SVG::Metadata;


sub process_file {
    my $file_name=$_;
	my $full_name = $File::Find::name;
	
	if ( $full_name !~ /^\// ) {
		$full_name = $current_dir . "/" . $full_name;
	}

	if ( !( -d $full_name) ) {
		# $full_name =~ s/\/\.\//\//;
		$new_name = $full_name; 
		$new_name =~ tr/[A-Z]/[a-z]/;
		$new_name =~ tr/ /_/;
		$new_name =~ s/__/_/g;
		$new_name =~ s/_-_/-/g;		
		# $new_name2 = $file_name; 
		# $new_name2 =~ tr/[A-Z]/[a-z/;
		# system("gzip -d $full_name");
		if ($new_name ne $full_name){
			# system("ls -l \"$full_name\"");
			# system("mv $full_name   $new_name");
			rename($full_name,$new_name);
			# print "mv $full_name   $new_name\n";
		}
	}
}



# Check input
if( $dir_name eq '' ){
	print "Usage: rename.....pl [DIRECTORY]\n";
	exit;
} elsif( !( -d $dir_name ) ){
	print "The input ARG is suposta be a directory\n$dir_name\n";
	exit
}


#################################################################
# Main Code
#
#
$current_dir=getcwd;
find(\&process_file, $dir_name);

print "\n";
