#!/bin/bash


# Stage 2 script
# This script will copy the CC, PD, and GPL sources into directories 
# that are categoriesed by type not source 
# it copys from 
# 
# open_icon_library-devel/
# open_icon_library-devel-devel-CC/
# open_icon_library-devel-devel-GPL/
# open_icon_library-devel-devel-PD/
#  to
# open_icon_library-full/
# open_icon_library-devel-CC/
# open_icon_library-devel-GPL/
# open_icon_library-devel-PD/
# 
# old dir goto old/
#

# check if your where u are suposta be
if [ ! -d open_icon_library-devel ]; then
	echo "Error: open_icon_library-devel does not exist"
	echo "you need to run make_directories_stage_2.sh from same directory as the open_icon_library-multi directory"
	echo "example: ./tools/make_directories_stage_2.sh"
   	exit
fi


################
# Clean up old

#remove old backups
# rm -rf old/open_icon_library-CC  > /dev/null 2>&1 
# rm -rf old/open_icon_library-GPL > /dev/null 2>&1
# rm -rf old/open_icon_library-PD > /dev/null 2>&1
# rm -rf old/open_icon_library-full > /dev/null 2>&1
# rm -rf old/open_icon_library-standard > /dev/null 2>&1
# rm -rf old/open_icon_library-256x256 > /dev/null 2>&1

#make backups of previous
# mv open_icon_library-CC old/ > /dev/null 2>&1
# mv open_icon_library-GPL old/ > /dev/null 2>&1
# mv open_icon_library-PD old/ > /dev/null 2>&1
# mv open_icon_library-full old/ > /dev/null 2>&1
# mv open_icon_library-standard old/ > /dev/null 2>&1
# mv open_icon_library-256x256 old/ > /dev/null 2>&1

rm -rf open_icon_library-full >  /dev/null 2>&1




#################################################################
# Full


############
# PNG files

mkdir -p open_icon_library-full/icons/png/8x8/others
mkdir -p open_icon_library-full/icons/png/16x16/others
mkdir -p open_icon_library-full/icons/png/22x22/others
mkdir -p open_icon_library-full/icons/png/24x24/others
mkdir -p open_icon_library-full/icons/png/32x32/others
mkdir -p open_icon_library-full/icons/png/48x48/others
mkdir -p open_icon_library-full/icons/png/64x64/others
mkdir -p open_icon_library-full/icons/png/128x128/others
mkdir -p open_icon_library-full/icons/png/256x256/others
mkdir -p open_icon_library-full/icons/png/odd/others


cp -rn open_icon_library-devel/icons/*/png/8x8/* open_icon_library-full/icons/png/8x8/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/png/16x16/* open_icon_library-full/icons/png/16x16/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/png/22x22/* open_icon_library-full/icons/png/22x22/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/png/24x24/* open_icon_library-full/icons/png/24x24/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/png/32x32/* open_icon_library-full/icons/png/32x32/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/png/48x48/* open_icon_library-full/icons/png/48x48/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/png/64x64/* open_icon_library-full/icons/png/64x64/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/png/128x128/* open_icon_library-full/icons/png/128x128/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/png/256x256/* open_icon_library-full/icons/png/256x256/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/png/odd/* open_icon_library-full/icons/png/odd/ > /dev/null 2>&1


mv -n open_icon_library-full/icons/png/8x8/*.png open_icon_library-full/icons/png/8x8/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/png/16x16/*.png open_icon_library-full/icons/png/16x16/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/png/22x22/*.png open_icon_library-full/icons/png/22x22/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/png/24x24/*.png open_icon_library-full/icons/png/24x24/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/png/32x32/*.png open_icon_library-full/icons/png/32x32/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/png/48x48/*.png open_icon_library-full/icons/png/48x48/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/png/64x64/*.png open_icon_library-full/icons/png/64x64/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/png/128x128/*.png open_icon_library-full/icons/png/128x128/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/png/256x256/*.png open_icon_library-full/icons/png/256x256/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/png/odd/*.png open_icon_library-full/icons/png/odd/others > /dev/null 2>&1



############
# XPM files

mkdir -p open_icon_library-full/icons/xpm/8x8/others
mkdir -p open_icon_library-full/icons/xpm/16x16/others
mkdir -p open_icon_library-full/icons/xpm/22x22/others
mkdir -p open_icon_library-full/icons/xpm/24x24/others
mkdir -p open_icon_library-full/icons/xpm/32x32/others
mkdir -p open_icon_library-full/icons/xpm/48x48/others
mkdir -p open_icon_library-full/icons/xpm/64x64/others
mkdir -p open_icon_library-full/icons/xpm/128x128/others
mkdir -p open_icon_library-full/icons/xpm/256x256/others
mkdir -p open_icon_library-full/icons/xpm/odd/others

cp -rn open_icon_library-devel/icons/*/xpm/8x8/* open_icon_library-full/icons/xpm/8x8/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/xpm/16x16/* open_icon_library-full/icons/xpm/16x16/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/xpm/22x22/* open_icon_library-full/icons/xpm/22x22/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/xpm/24x24/* open_icon_library-full/icons/xpm/24x24/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/xpm/32x32/* open_icon_library-full/icons/xpm/32x32/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/xpm/48x48/* open_icon_library-full/icons/xpm/48x48/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/xpm/64x64/* open_icon_library-full/icons/xpm/64x64/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/xpm/128x128/* open_icon_library-full/icons/xpm/128x128/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/xpm/256x256/* open_icon_library-full/icons/xpm/256x256/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/xpm/odd/* open_icon_library-full/icons/xpm/odd/ > /dev/null 2>&1


mv -n open_icon_library-full/icons/xpm/8x8/*.xpm open_icon_library-full/icons/xpm/8x8/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/xpm/16x16/*.xpm open_icon_library-full/icons/xpm/16x16/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/xpm/22x22/*.xpm open_icon_library-full/icons/xpm/22x22/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/xpm/24x24/*.xpm open_icon_library-full/icons/xpm/24x24/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/xpm/32x32/*.xpm open_icon_library-full/icons/xpm/32x32/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/xpm/48x48/*.xpm open_icon_library-full/icons/xpm/48x48/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/xpm/64x64/*.xpm open_icon_library-full/icons/xpm/64x64/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/xpm/128x128/*.xpm open_icon_library-full/icons/xpm/128x128/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/xpm/256x256/*.xpm open_icon_library-full/icons/xpm/256x256/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/xpm/odd/*.xpm open_icon_library-full/icons/xpm/odd/others > /dev/null 2>&1



############
# icns files

mkdir -p open_icon_library-full/icons/icns/8x8/others
mkdir -p open_icon_library-full/icons/icns/16x16/others
mkdir -p open_icon_library-full/icons/icns/22x22/others
mkdir -p open_icon_library-full/icons/icns/24x24/others
mkdir -p open_icon_library-full/icons/icns/32x32/others
mkdir -p open_icon_library-full/icons/icns/48x48/others
mkdir -p open_icon_library-full/icons/icns/64x64/others
mkdir -p open_icon_library-full/icons/icns/128x128/others
mkdir -p open_icon_library-full/icons/icns/256x256/others
mkdir -p open_icon_library-full/icons/icns/odd/others

cp -rn open_icon_library-devel/icons/*/icns/8x8/* open_icon_library-full/icons/icns/8x8/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/icns/16x16/* open_icon_library-full/icons/icns/16x16/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/icns/22x22/* open_icon_library-full/icons/icns/22x22/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/icns/24x24/* open_icon_library-full/icons/icns/24x24/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/icns/32x32/* open_icon_library-full/icons/icns/32x32/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/icns/48x48/* open_icon_library-full/icons/icns/48x48/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/icns/64x64/* open_icon_library-full/icons/icns/64x64/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/icns/128x128/* open_icon_library-full/icons/icns/128x128/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/icns/256x256/* open_icon_library-full/icons/icns/256x256/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/icns/odd/* open_icon_library-full/icons/icns/odd/ > /dev/null 2>&1


mv -n open_icon_library-full/icons/icns/8x8/*.icns open_icon_library-full/icons/icns/8x8/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/icns/16x16/*.icns open_icon_library-full/icons/icns/16x16/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/icns/22x22/*.icns open_icon_library-full/icons/icns/22x22/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/icns/24x24/*.icns open_icon_library-full/icons/icns/24x24/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/icns/32x32/*.icns open_icon_library-full/icons/icns/32x32/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/icns/48x48/*.icns open_icon_library-full/icons/icns/48x48/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/icns/64x64/*.icns open_icon_library-full/icons/icns/64x64/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/icns/128x128/*.icns open_icon_library-full/icons/icns/128x128/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/icns/256x256/*.icns open_icon_library-full/icons/icns/256x256/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/icns/odd/*.icns open_icon_library-full/icons/icns/odd/others > /dev/null 2>&1




############
# ico files

mkdir -p open_icon_library-full/icons/ico/8x8/others
mkdir -p open_icon_library-full/icons/ico/16x16/others
mkdir -p open_icon_library-full/icons/ico/22x22/others
mkdir -p open_icon_library-full/icons/ico/24x24/others
mkdir -p open_icon_library-full/icons/ico/32x32/others
mkdir -p open_icon_library-full/icons/ico/48x48/others
mkdir -p open_icon_library-full/icons/ico/64x64/others
mkdir -p open_icon_library-full/icons/ico/128x128/others
mkdir -p open_icon_library-full/icons/ico/256x256/others
mkdir -p open_icon_library-full/icons/ico/odd/others

cp -rn open_icon_library-devel/icons/*/ico/8x8/* open_icon_library-full/icons/ico/8x8/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/ico/16x16/* open_icon_library-full/icons/ico/16x16/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/ico/22x22/* open_icon_library-full/icons/ico/22x22/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/ico/24x24/* open_icon_library-full/icons/ico/24x24/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/ico/32x32/* open_icon_library-full/icons/ico/32x32/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/ico/48x48/* open_icon_library-full/icons/ico/48x48/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/ico/64x64/* open_icon_library-full/icons/ico/64x64/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/ico/128x128/* open_icon_library-full/icons/ico/128x128/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/ico/256x256/* open_icon_library-full/icons/ico/256x256/ > /dev/null 2>&1
cp -rn open_icon_library-devel/icons/*/ico/odd/* open_icon_library-full/icons/ico/odd/ > /dev/null 2>&1


mv -n open_icon_library-full/icons/ico/8x8/*.ico open_icon_library-full/icons/ico/8x8/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/ico/16x16/*.ico open_icon_library-full/icons/ico/16x16/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/ico/22x22/*.ico open_icon_library-full/icons/ico/22x22/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/ico/24x24/*.ico open_icon_library-full/icons/ico/24x24/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/ico/32x32/*.ico open_icon_library-full/icons/ico/32x32/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/ico/48x48/*.ico open_icon_library-full/icons/ico/48x48/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/ico/64x64/*.ico open_icon_library-full/icons/ico/64x64/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/ico/128x128/*.ico open_icon_library-full/icons/ico/128x128/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/ico/256x256/*.ico open_icon_library-full/icons/ico/256x256/others > /dev/null 2>&1
mv -n open_icon_library-full/icons/ico/odd/*.ico open_icon_library-full/icons/ico/odd/others > /dev/null 2>&1





#############
# SVG files
mkdir -p open_icon_library-full/icons/svg/others

cp -rn open_icon_library-devel/icons/*/svg/* open_icon_library-full/icons/svg/ > /dev/null 2>&1

mv -n open_icon_library-full/icons/svg/*.svg open_icon_library-full/icons/svg/others > /dev/null 2>&1

#cp licenses
cp -n open_icon_library-devel/LICENSES* open_icon_library-full/
cp -n open_icon_library-devel/README* open_icon_library-full/
cp -rn open_icon_library-devel/docs/ open_icon_library-full/

#####################
# Icons by Subject
mkdir -p open_icon_library-full/icons_by_subject/office
mkdir -p open_icon_library-full/icons_by_subject/graphics
mkdir -p open_icon_library-full/icons_by_subject/webpages
mkdir -p open_icon_library-full/icons_by_subject/audio_video
mkdir -p open_icon_library-full/icons_by_subject/programming


cp -rn open_icon_library-devel/icons_by_subject/*/office/* open_icon_library-full/icons_by_subject/office > /dev/null 2>&1
cp -rn open_icon_library-devel/icons_by_subject/*/graphics/* open_icon_library-full/icons_by_subject/graphics > /dev/null 2>&1
cp -rn open_icon_library-devel/icons_by_subject/*/web/* open_icon_library-full/icons_by_subject/webpages > /dev/null 2>&1
cp -rn open_icon_library-devel/icons_by_subject/*/audio_video/* open_icon_library-full/icons_by_subject/audio_video > /dev/null 2>&1
cp -rn open_icon_library-devel/icons_by_subject/*/programming/* open_icon_library-full/icons_by_subject/programming > /dev/null 2>&1


#removes empty directories
find open_icon_library-full/icons/ -depth -type d -empty -exec rmdir {} \;
find open_icon_library-full/icons/ -depth -type d -empty -exec rmdir {} \;
find open_icon_library-full/icons/ -depth -type d -empty -exec rmdir {} \;

#removes empty directories
find open_icon_library-full/icons_by_subject/ -depth -type d -empty -exec rmdir {} \;
find open_icon_library-full/icons_by_subject/ -depth -type d -empty -exec rmdir {} \;
find open_icon_library-full/icons_by_subject/ -depth -type d -empty -exec rmdir {} \;





# ls

echo
echo "Stage full is complete"
echo "Its OK if you get some errors, like No such file or directory"
echo "this just means they never existed"
echo
