#!/bin/bash



# check if your where u are suposta be
if [ ! -d open_icon_library-devel ]; then
	echo "Error: open_icon_library-devel does not exist"
	echo "you need to run make_directories*.sh from same directory as the open_icon_library-multi directory"
	echo "example: ./tools/make_directories*.sh"
   	exit
fi


################
# Clean up old

rm -rf open_icon_library-web >  /dev/null 2>&1

# Create new

mkdir -p open_icon_library-web/web_icons

cp -nrL open_icon_library-devel/web_icons/*/* open_icon_library-web/web_icons



#cp licenses
cp -n open_icon_library-devel/docs/LICENSES_web_icons.txt open_icon_library-web/LICENSES_web_icons.txt
cp -n open_icon_library-devel/docs/README_web_icons.txt open_icon_library-web/README_web_icons.txt
cp -rn open_icon_library-devel/docs/ open_icon_library-web/

#removes empty directories
find open_icon_library-web/ -depth -type d -empty -exec rmdir {} \;
find open_icon_library-web/ -depth -type d -empty -exec rmdir {} \;
find open_icon_library-web/ -depth -type d -empty -exec rmdir {} \;



echo
echo "Web icon dir is complete"
echo
