#!/bin/bash

DIR_IN=$1;

cd $DIR_IN

mkdir tmp
cd tmp

cp ../256x256/*.png .
mogrify -resize 128x128 *.png
mv *.png ../128x128/

rm -f *.png
cp ../256x256/*.png .
cp -n ../128x128/*.png .
mogrify -resize 64x64 *.png
mv *.png ../64x64/

rm -f *.png
cp ../256x256/*.png .
cp -n ../128x128/*.png .
cp -n ../64x64/*.png .
mogrify -resize 48x48 *.png
mv *.png ../48x48/

rm -f *.png
rm -f *.svg
cp ../svg/*.svg .
mogrify -resize 256x256 -background transparent -format png *.svg
mv -n *.png ../256x256/
rm -f *.png
mogrify -resize 128x128 -background transparent -format png *.svg
mv -n *.png ../128x128/
rm -f *.png
mogrify -resize 64x64 -background transparent -format png *.svg
mv -n *.png ../64x64/
rm -f *.png
mogrify -resize 48x48 -background transparent -format png *.svg
mv -n *.png ../48x48/
rm -f *.png
rm -f *.svg
cd ..
rm -rf tmp

